.iris-test:
  extends:
    - .lava-test:amd64
    - .iris-rules
  variables:
    DTB: ""
    DRIVER_NAME: iris
    BOOT_METHOD: depthcharge
    KERNEL_IMAGE_TYPE: ""
    FLAKES_CHANNEL: "#intel-ci"
    HWCI_FREQ_MAX: "true"

# 5 boards
.iris-apl-test:
  extends:
    - .iris-test
  variables:
    DEVICE_TYPE: asus-C523NA-A20057-coral
    GPU_VERSION: iris-apl
    RUNNER_TAG: mesa-ci-x86-64-lava-asus-C523NA-A20057-coral

# 4 boards
.iris-glk-test:
  extends:
    - .iris-test
  variables:
    DEVICE_TYPE: hp-x360-12b-ca0010nr-n4020-octopus
    GPU_VERSION: iris-glk
    RUNNER_TAG: mesa-ci-x86-64-lava-hp-x360-12b-ca0010nr-n4020-octopus

# 5 boards, manual for now due to the GPU being occasionally stuck
.iris-amly-test:
  extends:
    - .iris-test
    - .test-manual-mr
  variables:
    DEVICE_TYPE: asus-C433TA-AJ0005-rammus
    GPU_VERSION: iris-amly
    RUNNER_TAG: mesa-ci-x86-64-lava-asus-C433TA-AJ0005-rammus

# 7 boards
.iris-kbl-test:
  extends:
    - .iris-test
  variables:
    DEVICE_TYPE: hp-x360-14-G1-sona
    GPU_VERSION: iris-kbl
    RUNNER_TAG: mesa-ci-x86-64-lava-hp-x360-14-G1-sona

# 5 boards
.iris-whl-test:
  extends:
    - .iris-test
  variables:
    DEVICE_TYPE: dell-latitude-5400-8665U-sarien
    GPU_VERSION: iris-whl
    RUNNER_TAG: mesa-ci-x86-64-lava-dell-latitude-5400-8665U-sarien

# 5 boards
.iris-cml-test:
  extends:
    - .iris-test
  variables:
    DEVICE_TYPE: asus-C436FA-Flip-hatch
    GPU_VERSION: iris-cml
    RUNNER_TAG: mesa-ci-x86-64-lava-asus-C436FA-flip-hatch

iris-apl-deqp:
  extends:
    - .iris-apl-test
  variables:
    DEQP_SUITE: iris-apl
  parallel: 3

iris-apl-egl:
  extends:
    - .iris-apl-test
  variables:
    PIGLIT_NO_WINDOW: 0
    HWCI_START_XORG: 1
    DEQP_VER: egl

iris-glk-deqp:
  extends:
    - .iris-glk-test
  variables:
    DEQP_SUITE: iris-glk
  parallel: 2

iris-glk-egl:
  extends:
    - .iris-glk-test
  variables:
    PIGLIT_NO_WINDOW: 0
    HWCI_START_XORG: 1
    DEQP_VER: egl

iris-amly-deqp:
  extends:
    - .iris-amly-test
  variables:
    DEQP_SUITE: iris-amly
  parallel: 3

iris-kbl-deqp:
  extends:
    - .iris-kbl-test
  variables:
    DEQP_SUITE: iris-kbl
  parallel: 3

iris-whl-deqp:
  extends:
    - .iris-whl-test
  variables:
    DEQP_SUITE: iris-whl
  parallel: 4

iris-cml-deqp:
  extends:
    - .iris-cml-test
  variables:
    DEQP_SUITE: iris-cml
  parallel: 4

iris-amly-egl:
  extends:
    - .iris-amly-test
  variables:
    PIGLIT_NO_WINDOW: 0
    HWCI_START_XORG: 1
    DEQP_VER: egl

iris-kbl-piglit:
  extends:
    - .iris-kbl-test
    - .lava-piglit
  parallel: 3
  variables:
    HWCI_START_XORG: 1
    PIGLIT_NO_WINDOW: 0
    PIGLIT_PLATFORM: mixed_glx_egl
    PIGLIT_PROFILES: gpu

.iris-traces:
  extends:
    - .lava-traces-base
  variables:
    EGL_PLATFORM: surfaceless
    PIGLIT_REPLAY_DEVICE_NAME: "gl-${GPU_VERSION}"
    PIGLIT_RESULTS: "${GPU_VERSION}-${PIGLIT_PROFILES}"
    PIGLIT_REPLAY_DESCRIPTION_FILE: "/install/traces-iris.yml"
    PIGLIT_REPLAY_EXTRA_ARGS: --keep-image

iris-apl-traces:
  variables:
    GPU_VERSION: intel-apl
  extends:
    - .iris-apl-test
    - .iris-traces

iris-glk-traces:
  variables:
    GPU_VERSION: intel-glk
  extends:
    - .iris-glk-test
    - .iris-traces

iris-amly-traces:
  variables:
    GPU_VERSION: intel-amly
  extends:
    - .iris-amly-test
    - .iris-traces

iris-kbl-traces:
  variables:
    GPU_VERSION: intel-kbl
  extends:
    - .iris-kbl-test
    - .iris-traces

iris-whl-traces:
  variables:
    GPU_VERSION: intel-whl
  extends:
    - .iris-whl-test
    - .iris-traces

iris-cml-traces:
  variables:
    GPU_VERSION: intel-cml
  extends:
    - .iris-cml-test
    - .iris-traces

.profile-traces:
  extends:
    - .iris-traces
    - .iris-rules-performance
  variables:
    PIGLIT_REPLAY_SUBCOMMAND: "profile"
    PIGLIT_REPLAY_EXTRA_ARGS: "--db-path ${CI_PROJECT_DIR}/replayer-db/"
    # More than this can hit OOM due to BOs leaked during the replay of the last frame
    PIGLIT_REPLAY_LOOP_TIMES: 150
    # We don't want for more than one workload to be submitted to the GPU at a time
    FDO_CI_CONCURRENT: 1
    # So we aren't capped by VSync by the X server
    EGL_PLATFORM: surfaceless
    GIT_STRATEGY: none
    HWCI_FREQ_MAX: "true"
    LAVA_TAGS: "cbg-0"
  allow_failure: true

iris-apl-traces-performance:
  extends:
    - .iris-apl-test
    - .profile-traces
  variables:
    GPU_VERSION: intel-apl

iris-glk-traces-performance:
  extends:
    - .iris-glk-test
    - .profile-traces
  variables:
    GPU_VERSION: intel-glk

iris-amly-traces-performance:
  extends:
    - .iris-amly-test
    - .profile-traces
  variables:
    GPU_VERSION: intel-amly

iris-kbl-traces-performance:
  extends:
    - .iris-kbl-test
    - .profile-traces
  variables:
    GPU_VERSION: intel-kbl

iris-whl-traces-performance:
  extends:
    - .iris-whl-test
    - .profile-traces
  variables:
    GPU_VERSION: intel-whl

.iris-cml-traces-performance:
  extends:
    - .iris-cml-test
    - .profile-traces
  variables:
    GPU_VERSION: intel-cml
